<div class="m-b-30 filter-button-group">
  <button mat-stroked-button color="primary" class="m-r-15 m-t-10"  [ngClass]="{'active': SelectedFilterButtonId === 1 }" 
   (click)="getAllFields(1)" >
    All Fields
  </button>
  <button mat-stroked-button color="primary" class="m-r-15 m-t-10" [ngClass]="{'active': SelectedFilterButtonId === 2 } " 
    (click)="getMappedFields(2)">
    Mapped Fields
  </button>
  <button mat-stroked-button color="primary" class="m-r-15 m-t-10" [ngClass]="{'active': SelectedFilterButtonId === 3 }" 
    (click)="getUnMappedFields(3)">
    Unmapped Fields
  </button>
</div>

<div class="kendo-table">
  <kendo-grid *ngIf="gridData" [kendoGridBinding]="gridData" [sortable]="true" [height]="410">
    <kendo-grid-column field="qboTransColumnName" title="{{ dropdownTransValue }}" [width]="200">
      <ng-template kendoGridHeaderTemplate>
        <img class="gridHeader-img" src='../../../assets/images/qb_logo.png' />
        {{ dropdownTransValue }}
      </ng-template>
      
    </kendo-grid-column>
    <kendo-grid-column field="name" title="{{ dropdownConValue }}" [width]="250">
        <ng-template kendoGridHeaderTemplate>
          <img class="gridHeader-img-amazon"  *ngIf="ConnectionTypesId == 1" src='../../../assets/images/amazon-logo.png' />
          <img class="gridHeader-img" *ngIf="ConnectionTypesId == 2" src='../../../assets/images/paypal-logo.png' />
          <img class="gridHeader-img" *ngIf="ConnectionTypesId == 4" src='../../../assets/images/zoho-header-logo.png' />
          {{ dropdownConValue }}
          </ng-template>
      <ng-template kendoGridCellTemplate let-dataItem>
        <kendo-dropdownlist [data]="connectCol" [popupSettings]="{ width: 50 }" 
          style="width:100%" [(ngModel)]="dataItem.selectedItem" (valueChange)="valueChange($event, dataItem.id)"
          [defaultItem]="'Select field to map'">
        </kendo-dropdownlist>
      </ng-template>
    </kendo-grid-column>

    <kendo-grid-column field="Constant" [width]="200">
      <ng-template kendoGridCellTemplate let-dataItem>
        <input kendoTextBox [(ngModel)]="dataItem.constantValue" (keyup)="constantValueChange(dataItem.constantValue, dataItem.id)" />
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="Function" [width]="200">
      <ng-template kendoGridCellTemplate let-dataItem>
          <kendo-dropdownlist  
        [data]="functionList" 
        [textField]="'name'"
        [valueField]="'id'"
        [valuePrimitive]="true"
        [(ngModel)]="dataItem.selectedFunction"
        (valueChange)="onFunctionDropdownChange($event,dataItem.id)" 
        [defaultItem]="defaultItem"
        [popupSettings]="{
            width: 50
          }" style="width:100%">
        </kendo-dropdownlist>
      </ng-template>
    </kendo-grid-column>

    <kendo-grid-column-group title="Sample Data" class="text-center" [width]="290">
      <kendo-grid-column title="Park Homes" field="sampleData1" [width]="140" class="special-col"></kendo-grid-column>
      <kendo-grid-column title="Handy Builders" field="sampleData2" [width]="140" class="special-col"></kendo-grid-column>
    </kendo-grid-column-group>
  </kendo-grid>
</div>

<div class="m-t-40 text-center">
  <button mat-button (click)="quickbookItemSetting()" class="default m-r-15" mat-raised-button color="primary">Item Setting</button>
  <button mat-button matStepperPrevious mat-raised-button class="default m-r-15" color="primary">Back</button>
  <button mat-button (click)="SaveMapping()" class="default  m-r-15" [disabled]="disableSaveMapping" mat-raised-button color="primary">Save Mapping</button>
  <button mat-button class="default" [disabled]="disableInvoiceListButton" (click)="getInvoiceList()" mat-raised-button color="primary">Next</button>
</div>
<br /><br />